%define version 0.5.1
%define release 1mdk

Name:		dirmngr
Version:	%{version}
Release:	%{release}
Summary:	Client for Managing/Downloading CRLs
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gnupg.org/

Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Patch0:		%{name}-0.4.4-fix-info-entry.patch.bz2

BuildRequires:	libgcrypt-devel >= 1.1.90
BuildRequires:	libgpg-error-devel >= 0.6
BuildRequires:	libksba-devel >= 0.9.1
BuildRequires:	libassuan-devel >= 0.6.2
# won't work with ldap1
Buildrequires:	libldap2-devel
BuildRequires:	autoconf2.5

%description
Dirmngr is a client for managing and downloading certificate revocation
lists (CRLs) for X509 certificates and for downloading the certificates
themselves. Dirmngr is usually invoked by gpgsm and in general not used
directly.

%prep
%setup -q
%patch0 -p0 -b .info-entry

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc README README-alpha ChangeLog NEWS
%{_bindir}/*
%{_infodir}/*.info*

%changelog
* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.5.1-1mdk
- New version
- Drop patch1 (dropped db4 support)

* Wed Dec 10 2003 Abel Cheung <deaddog@deaddog.org> 0.5.0-1mdk
- 0.5.0

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.4.5-1mdk
- 0.4.5
- Fix summary

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.4.4-7mdk
- fix description (John Keller <jkeller@matchbox.fr>)

* Sun Sep 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-6mdk
- fix install-info usage

* Sat Sep 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-5mdk
- fix info enty (#3691)

* Fri Sep 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.4.4-4mdk
- cleaned buildrequires
- no need to call ldconfig in %%post, there is no lib here
- don't include non-build doc

* Fri Aug 08 2003 Buhcan Milne <bgmilne@linux-mandrake.com> 0.4.4-3mdk
- Rebuild to lose libsasl7 dependency
- Don't ship tests for now (includes binary oobjects, hidden files etc)

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-2mdk
- adjust buildrequires

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-1mdk
- Update from <fabrice-marie-sec@ifrance.com> spec file 

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.2-1mdk
- first package

